# make the Distributed Checksum Clearinghouse server

# Copyright (c) 2005 by Rhyolite Software

# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.

# THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE
# BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# Rhyolite Software DCC 1.2.74-1.17 $Revision$

DEPTH	=..
PROG	=dccd
SRCS	=$(PROG).c iflod.c oflod.c rl.c work.c

CFLAGS	+=$(SRVRINC)
LDADD	+=$(SRVRLIBS)
DPADD	+=$(SRVRLIBS)

@MAKE_DOT@ifdef DCCD_MAX_FLOODS
CFLAGS	+=-DDCCD_MAX_FLOODS=$(DCCD_MAX_FLOODS)
@MAKE_DOT@endif

DCC_BINDIR=@installroot@@libexecdir@
@MAKE_PROG@
@MAKE_INC2@
